[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-commits
Subject:    [gentoo-commits] proj/sci:master commit in: sci-libs/blas-reference/
From:       "Justin Lecher" <jlec () gentoo ! org>
Date:       2015-11-30 18:33:37
Message-ID: 1448894481.1b608d75087bbb699a546dbffc63bebb9ad95177.jlec () gentoo
[Download RAW message or body]

commit:     1b608d75087bbb699a546dbffc63bebb9ad95177
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 30 14:41:21 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Nov 30 14:41:21 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=1b608d75

sci-libs/blas-reference: Version Bump

Package-Manager: portage-2.2.25
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 .../blas-reference/blas-reference-20151113.ebuild  | 108 +++++++++++++++++++++
 1 file changed, 108 insertions(+)

diff --git a/sci-libs/blas-reference/blas-reference-20151113.ebuild \
b/sci-libs/blas-reference/blas-reference-20151113.ebuild new file mode 100644
index 0000000..bf56016
--- /dev/null
+++ b/sci-libs/blas-reference/blas-reference-20151113.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+NUMERIC_MODULE_NAME="refblas"
+
+inherit alternatives-2 cmake-utils fortran-2 numeric-int64-multibuild python-any-r1 \
toolchain-funcs +
+LPN=lapack
+LPV=3.6.0
+
+DESCRIPTION="Reference implementation of BLAS"
+HOMEPAGE="http://www.netlib.org/lapack/"
+SRC_URI="http://www.netlib.org/${LPN}/${LPN}-${LPV}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs test"
+
+REQUIRED_USE="test? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	test? ( ${PYTHON_DEPS} )
+	virtual/pkgconfig"
+
+S="${WORKDIR}/${LPN}-${LPV}"
+
+src_prepare() {
+	# rename library to avoid collision with other blas implementations
+	# ${LIBNAME} and ${PROFNAME} are not defined here, they are in single
+	# quotes in the following seds.  They are later set by defining cmake
+	# variables with -DPROFNAME etc in src_configure
+	sed -i \
+		-e 's:\([^xc]\)blas:\1${LIBNAME}:g' \
+		-e '/PROPERTIES/s:blas:${LIBNAME}:g' \
+		CMakeLists.txt \
+		BLAS/SRC/CMakeLists.txt || die
+	sed -i \
+		-e '/Name: /s:blas:${PROFNAME}:' \
+		-e 's:-lblas:-l${LIBNAME}:g' \
+		 BLAS/blas.pc.in || die
+	sed -i \
+		-e 's:blas):${LIBNAME}):' \
+		BLAS/TESTING/CMakeLists.txt || die
+	sed -i \
+		-e 's:BINARY_DIR}/blas:BINARY_DIR}/${PROFNAME}:' \
+		BLAS/CMakeLists.txt || die
+}
+
+src_configure() {
+	blas_configure() {
+		local FCFLAGS="${FCFLAGS}"
+		append-fflags $($(tc-getPKG_CONFIG) --cflags ${blas_profname})
+		append-fflags $(get_abi_CFLAGS)
+		append-fflags $(numeric-int64_get_fortran_int64_abi_fflags)
+
+		local profname=$(numeric-int64_get_module_name)
+		local libname="${profname//-/_}"
+
+		local mycmakeargs=(
+			-Wno-dev
+			-DPROFNAME="${profname}"
+			-DLIBNAME="${libname}"
+			-DUSE_OPTIMIZED_BLAS=OFF
+			-DCMAKE_Fortran_FLAGS="${FCFLAGS}"
+			-DLAPACK_PKGCONFIG_FFLAGS="$(numeric-int64_get_fortran_int64_abi_fflags)"
+			$(cmake-utils_use_build test TESTING)
+		)
+		if $(numeric-int64_is_static_build); then
+			mycmakeargs+=(
+				-DBUILD_SHARED_LIBS=OFF
+				-DBUILD_STATIC_LIBS=ON
+			)
+		else
+			mycmakeargs+=(
+				-DBUILD_SHARED_LIBS=ON
+				-DBUILD_STATIC_LIBS=OFF
+			)
+		fi
+		cmake-utils_src_configure
+	}
+	numeric-int64-multibuild_foreach_all_abi_variants blas_configure
+}
+
+src_compile() {
+	local each target_dirs=( BLAS )
+	use test && target_dirs+=( TESTING )
+	for each in ${target_dirs[@]}; do
+		numeric-int64-multibuild_foreach_all_abi_variants \
+			cmake-utils_src_compile -C ${each}
+	done
+
+}
+
+src_test() {
+	numeric-int64-multibuild_foreach_all_abi_variants cmake-utils_src_test
+}
+
+src_install() {
+	numeric-int64-multibuild_foreach_all_abi_variants cmake-utils_src_install -C BLAS
+	numeric-int64-multibuild_install_alternative blas reference
+}


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic